Skip to content

GET Servers

This call gets all the servers data.

Location

/api/v1/servers/

Permissions required

servers RO.

Body parameters

Parameter Type Required Description
builder[0][where][0] string no
builder[0][where][1] string no

Example Body (json)

None.

Example Request

$curl = curl_init();  
curl_setopt_array($curl, array(  
    CURLOPT_URL => $baseUrl . '/api/v1/servers/' . '?builder[0][where][0]=server_uuid&builder[0][where][1]=17779d2d-5223-11f1-8bcc-bc2411125ba4', 
    CURLOPT_CUSTOMREQUEST => 'GET',  
    CURLOPT_RETURNTRANSFER => true,  
    CURLOPT_HTTPHEADER => [  
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json'
    ]  
));  

$response = curl_exec($curl);  

curl_close($curl);
echo $response;

Example Response

[
   {
      "server_uuid":"17779d2d-5223-11f1-8bcc-bc2411125ba4",
      "company_uuid":null,
      "server_vm_id":"bc2411845cd4",
      "server_vm_host_id":null,
      "server_vm_host_name":"man01",
      "server_vm_snapshot":0,
      "server_vm_generation":null,
      "server_power_state":"Running",
      "server_state":"new",
      "server_hostname":"man01.meteo.local",
      "server_os":"AlmaLinux 10.1",
      "server_cpu":2,
      "server_memory":2048,
      "server_memory_demand":2048,
      "server_disks":"[{\"disk_name\":\"scsi0\",\"disk_space\":\"15\",\"disk_used\":\"15\",\"disk_location\":\"local-lvm:vm-100-disk-0\"}]",
      "server_ipv4":"[\"10.0.0.30\"]",
      "server_ipv6":"[\"\"]",
      "server_licenses":"[]",
      "server_backup":"[{\"proxmox\":\"yes\"}]",
      "server_description":"",
      "server_create_timestamp":1779044609,
      "server_modified_timestamp":1781467630
   }
]

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.